/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __grass_DodgeOp_h__
#define __grass_DodgeOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Handler to move curves away from a collider

	@ingroup grass
*//***************************************************************************/
class FE_DL_EXPORT DodgeOp: public Catalog,
	public Initialize<DodgeOp>,
	public OperatorSurfaceCommon
{
	public:

					DodgeOp(void)											{}
virtual				~DodgeOp(void)											{}

		void		initialize(void);

					//* As HandlerI
virtual	void		handle(Record& a_rSignal);

	private:
};

} /* namespace */

#endif /* __grass_DodgeOp_h__ */

